Package: groovy.json.internal

## [Java] Class MapItemValue

- groovy.json.internal.MapItemValue

- All Implemented Interfaces and Traits:
    Map.Entry

      public class MapItemValue

  This holds a mapping from value key to value value to maximize laziness.

  Authors:
    Rick Hightower

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static ConcurrentHashMap<String, String>` | `internedKeysCache` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MapItemValue (Value name, Value value)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getKey()`
    `` | `Value` | `getValue()`
    `` | `Value` | `setValue(Value value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protected static ConcurrentHashMap<String, String> internedKeysCache

  - ### Constructor Detail

    - #### public MapItemValue(Value name, Value value)

  - ### Method Detail

    - #### public String getKey()

    - #### public Value getValue()

    - #### public Value setValue(Value value)